Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class BERGenerator

    java.lang.Object
      org.bouncycastle.asn1.ASN1Generator
          org.bouncycastle.asn1.BERGenerator

Direct Known Subclasses:
  BEROctetStringGenerator, BERSequenceGenerator

public abstract class BERGenerator
extends ASN1Generator

Base class for generators for indefinite-length structures.

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Generator
`_out`

Constructor Summary
`protected` | `BERGenerator(java.io.OutputStream out)`
`protected` | `BERGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)`

Method Summary
`java.io.OutputStream` | `getRawOutputStream()` Return the actual stream object encodings are written to.
`protected void` | `writeBEREnd()`
`protected void` | `writeBERHeader(int tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BERGenerator

    protected BERGenerator(java.io.OutputStream out)

### BERGenerator

    protected BERGenerator(java.io.OutputStream out,
                           int tagNo,
                           boolean isExplicit)

Method Detail

### getRawOutputStream

    public java.io.OutputStream getRawOutputStream()

  Description copied from class: `ASN1Generator`
  Return the actual stream object encodings are written to.

  Specified by:
    `getRawOutputStream` in class `ASN1Generator`
  Returns:
    the stream that is directly encoded to.

### writeBERHeader

    protected void writeBERHeader(int tag)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeBEREnd

    protected void writeBEREnd()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD